Subject: Re: Comments regarding patch about setting netns for wireless devices

From: "John W. Linville" <[email-masked]>
Date: Thu, 18 Sep 2014 09:13:25 -0400

On Thu, Sep 18, 2014 at 11:05:11AM +0300, Vadim Kochan wrote:
> Hi All,
> 
> I'd like to get some feedback about the patch:
>     https://patchwork.kernel.org/patch/4890451/
> 
> The idea is that currently Linux wireless device is allowed to change
> the network namespace only by nl80211 API, so RTM_LINK API does
> not work. So I think that it should be possible to change netns
> through the RTM_LINK too as generic way to change netns,
> thats why I tried to solve this in the patch.
> 
> Thanks,

I think Johannes is vacationing right now.  I'm sure he will comment
when he returns.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.